; File used to declare configuration to be placed on the firmware image

.constant platform_firmware_versionNumber 0x0222 ; Define version reported back on register. 0x0222 = same as rrcBig_02.22

; Picks between DEVICE_CFG.SystimeClockSource values. 0 = PCIE_REFCLK, 1 = IEEE1588_REFCLK
.constant bootCfg_systimeClockSource 0

.constant bootCfg_skipMemRepair 0
.constant bootCfg_skipPcieInitialization 0

.constant bootCfg_pep0_enable 1
.constant bootCfg_pep1_enable 0
.constant bootCfg_pep2_enable 1
.constant bootCfg_pep3_enable 0
.constant bootCfg_pep4_enable 1
.constant bootCfg_pep5_enable 0
.constant bootCfg_pep6_enable 1
.constant bootCfg_pep7_enable 0
.constant bootCfg_pep8_enable 0

; Picks between 0 = 8x8x, 1 = 4x4x4x4x
.constant bootCfg_pep0_mode 0
.constant bootCfg_pep2_mode 0
.constant bootCfg_pep4_mode 0
.constant bootCfg_pep6_mode 0

; Custom macs are composed of two 32-bit values, reversed
.constant bootCfg_customMac0 0xff000000, 0x000000ff ; Corresponds to 00:00:00:FF:FF:00:00:00
.constant bootCfg_customMac1 0xff000000, 0x000000ff ; Corresponds to 00:00:00:FF:FF:00:00:00
.constant bootCfg_customMac2 0xff000000, 0x000000ff ; Corresponds to 00:00:00:FF:FF:00:00:00
.constant bootCfg_customMac3 0xff000000, 0x000000ff ; Corresponds to 00:00:00:FF:FF:00:00:00