; Copyright (c) 2021, rrc-open-firmware FM10K-Documentation Contributors
;
; Redistribution and use in source and binary forms, with or without
; modification, are permitted provided that the following conditions are met:
;
;     * Redistributions of source code must retain the above copyright notice,
;       this list of conditions and the following disclaimer.
;     * Redistributions in binary form must reproduce the above copyright
;       notice, this list of conditions and the following disclaimer in the
;       documentation and/or other materials provided with the distribution.
;     * Neither the name of the copyright holder nor the names of its contributors
;       may be used to endorse or promote products derived from this software
;       without specific prior written permission.
;
; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
; IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
; DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
; FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
; DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
; SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
; CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
; OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
; OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

.constant platform_STEPPING_A0 0 ; Old FM10K?. Unknown features
.constant platform_STEPPING_B0 1 ; Existing FM10K

.constant platform_PCIE_SBUS_LOCK_FREE 0
.constant platform_PCIE_SBUS_LOCK_NVM 1
.constant platform_PCIE_SBUS_LOCK_API 2

.constant platform_SERDES_SPICO_COUNT 0x42
.constant platform_PCIE_RMON0_DEVICE_ADDRESS                1
; Here go PCIe Lane 0-66 even 0xFF bcast, and PCIe lane PCS 3-67 odd 0xF7 bcast
.constant platform_PCIE_RMON1_DEVICE_ADDRESS                68
.constant platform_PCIE_THERMAL_SENSE_DEVICE_ADDRESS        69
.constant platform_PCIE_PMRO_DEVICE_ADDRESS                 70
.constant platform_PCIE_MASTER_SPICO_DEVICE_ADDRESS         0xfd
.constant platform_PCIE_SBUS_CONTROLLER_DEVICE_ADDRESS      0xfe
.constant platform_PCIE_ALL_SERDES_SPICO_DEVICE_ADDRESS     0xff


; Change this?
.constant platform_PCIE_SBUS_LOCK_HOLD BSM_SCRATCH_START +0x166


config_load_bootCfg_customMac:
    LOAD api_CUSTOM_MAC_BASE, bootCfg_customMac0, bootCfg_customMac1, bootCfg_customMac2, bootCfg_customMac3
    RET