# rrc-open-firmware

Experimental project for replacing factory firmware on FM10000 cards with custom-made code.

WARNING: **This is a Work In Progress project**. Do not use on any cards you don't want to have to unbrick via manual SPI connection.

### Requirements
* [rrcc](https://git.gammaspectra.live/FM10K/rrcc) (will build it from submodule)
* make

### Compilation
* `$ make`
* The firmware will be output to `firmware.bin`
* You might want to change settings on file `config.asm` to fit your needs.

## License
* BSD-3-Clause
* See [COPYING](COPYING) for the full license.
* Files under [blobs/](blobs/) are derived from Intel IES BSD-3-Clause switch API, fm10000_api_spico_code.c